# Generated by Django 4.2.7 on 2024-01-28 20:14

import datetime

import django.db.models.deletion
from django.db import migrations, models
from django.utils import timezone


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("categories", "__first__"),
        ("users", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Product",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=60, verbose_name="name")),
                (
                    "price",
                    models.FloatField(blank=True, null=True, verbose_name="price"),
                ),
                (
                    "shipping_price",
                    models.FloatField(default="0", verbose_name="shipping price"),
                ),
                ("description", models.TextField(blank=True, default="")),
                (
                    "post_date",
                    models.DateTimeField(
                        default=timezone.now, verbose_name="post date"
                    ),
                ),
                (
                    "image",
                    models.ImageField(blank=True, null=True, upload_to="products"),
                ),
                (
                    "category",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="categories.category",
                    ),
                ),
                (
                    "owner",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="profile",
                        to="users.userprofile",
                    ),
                ),
            ],
            options={
                "verbose_name": "Product",
            },
        ),
        migrations.CreateModel(
            name="Review",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("review_type", models.CharField(default="overall", max_length=20)),
                (
                    "overall_rating",
                    models.PositiveIntegerField(
                        blank=True,
                        choices=[(1, "1"), (2, "2"), (3, "3"), (4, "4"), (5, "5")],
                        null=True,
                    ),
                ),
                (
                    "quality_rating",
                    models.PositiveIntegerField(
                        blank=True,
                        choices=[(1, "1"), (2, "2"), (3, "3"), (4, "4"), (5, "5")],
                        null=True,
                    ),
                ),
                (
                    "delivery_rating",
                    models.PositiveIntegerField(
                        blank=True,
                        choices=[(1, "1"), (2, "2"), (3, "3"), (4, "4"), (5, "5")],
                        null=True,
                    ),
                ),
                (
                    "communication_rating",
                    models.PositiveIntegerField(
                        blank=True,
                        choices=[(1, "1"), (2, "2"), (3, "3"), (4, "4"), (5, "5")],
                        null=True,
                    ),
                ),
                ("description", models.TextField(blank=True)),
                (
                    "post_date",
                    models.DateTimeField(
                        default=timezone.now, verbose_name="post date"
                    ),
                ),
                (
                    "owner",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="users.userprofile",
                    ),
                ),
                (
                    "product",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="products.product",
                    ),
                ),
            ],
        ),
    ]
