"""
ASGI config for shop project.

It exposes the ASGI callable as a module-level variable named ``application``.

For more information on this file, see
https://docs.djangoproject.com/en/4.1/howto/deployment/asgi/
"""

import os

from channels.auth import AuthMiddlewareStack
from channels.routing import ProtocolTypeRouter, URLRouter
from django.core.asgi import get_asgi_application
from django.urls import re_path

from online_shop.chat.consumers import ChatConsumer

os.environ.setdefault("DJANGO_SETTINGS_MODULE", "online_shop.shop.settings")


application = ProtocolTypeRouter(
    {
        "http": get_asgi_application(),
        "websocket": AuthMiddlewareStack(
            URLRouter(
                [
                    re_path(r"ws/chat/(?P<user_id>\d+)/$", ChatConsumer.as_asgi()),
                ]
            )
        ),
    }
)
